FIX: Terraform install
[csit.git] / resources / libraries / bash / function / terraform.sh
index 567fc78..929cdd8 100644 (file)
@@ -75,7 +75,11 @@ function terraform_init () {
     set -exuo pipefail
 
     if ! installed terraform; then
-        die "Please install terraform!"
+        repo="deb [arch=amd64] https://apt.releases.hashicorp.com focal main"
+        echo "${repo}" >> "/etc/apt/sources.list" || die "Failed to add repo!"
+        apt update -y
+        apt install -y terraform
+        #die "Please install terraform!"
     fi
 
     pushd "${CSIT_DIR}"/fdio.infra.terraform || die "Pushd failed!"